Bug 152533 - bad line in lang-table, local variable name referenced before assigment
bad line in lang-table, local variable name referenced before assigment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 22:46 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 10:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-03-29 22:46:01 EST
Description of problem:

for a few days, pxe/netboot install has been broken for me.

When it starts, "Choose a Language" appears with a single choice "Northern"

When selected, I get "Error: Cannot get translation file Sotho.tr"

if I switch to ALT-F3 at this point, I see:

bad line 20 in lang-table
bad line 21 in lang-table
[...]
bad line 47 in lang-table

later in the install, I get this:

File "/usr/lib/anaconda/language.py", line 204, in setDefault
 self.default = name
UnboundLocalError: local variable 'name' referenced before assignment

Version-Release number of selected component (if applicable):

anaconda-10.2.0.33-1.i386.rpm

How reproducible:

always

Steps to Reproduce:
1. pxe boot
2. select the default installation presented
3.
  
Actual results:

installation eventually crash.

Expected results:

installation completes normally.

Additional info:
Comment 1 Jeremy Katz 2005-03-30 10:49:25 EST
I fixed the first yesterday and Chris fixed the second.
Comment 2 Ricky Ng-Adam 2005-03-30 21:31:27 EST
Hmmm, are the "foo foo foo foo" printed on the blue background at the "Choose a
language" screen in 10.2.0.36 part of the fix? ;-) Otherwise, yes, it now gets
past that part ok now.
Comment 3 Chris Lumens 2005-03-31 09:35:44 EST
Those should be gone in the next rebuild.  Hooray for debugging output.

Note You need to log in before you can comment on or make changes to this bug.